<!-- --COPYRIGHT--,BSD
 *  Copyright (c) 2012, Texas Instruments Incorporated
 *  All rights reserved.
 * 
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 * 
 *  *  Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 * 
 *  *  Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 
 *  *  Neither the name of Texas Instruments Incorporated nor the names of
 *     its contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT-- -->
<!DOCTYPE html>
<html>
	<head data-gc-version="1.0.0001">
		<meta charset="utf-8"/>
		<title>Untitled</title>
		<style>@import "themes/claro/claro.css";@import "lib/dojo/dojo/resources/dojo.css";@import "lib/gc/dijit/libs/css/jquery.jqplot.min.css";@import "app.css";

			#Content {
				position:absolute;
				width:680px;
				height:530px;
				top:2px;
				left:261px;
				border-width:1px;
			} 

		</style>

		<style type="text/css">
			body {background-image:url('images/D3_BLDC_Background.PNG');}
		</style>
		
		<script type="text/javascript" src="maqetta/maqetta.js"></script>
		<script type="text/javascript" data-dojo-config="'async':true,'parseOnLoad':true,'packages':[{'name':'gc','location':'../../gc'}]" src="lib/dojo/dojo/dojo.js"></script>
		<script type="text/javascript" src="lib/gc/backplane/guiComposer.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/steelseries.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/tween.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/jquery.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/jquery-ui.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/jquery.jqplot.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/plugins/jqplot.cursor.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/plugins/jqplot.canvasTextRenderer.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/plugins/jqplot.canvasAxisTickRenderer.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/plugins/jqplot.canvasAxisLabelRenderer.min.js"></script>
		<script type="text/javascript" src="maqetta/States.js"></script>
		<script type="text/javascript">
			require(["dijit/dijit"]);
			require(["dojo/parser"]);
			require(["gc/dijit/TabContainer"]);
			require(["gc/dijit/ContentPane"]);
			require(["gc/dijit/NumberSpinner"]);
			require(["gc/dijit/CheckBox"]);
			require(["gc/dijit/Label"]);
			require(["gc/dijit/ComboBox"]);
			require(["gc/dijit/DigitalMeter"]);
			require(["gc/dijit/TextBox"]);
			require(["gc/dijit/Image"]);
			require(["gc/dijit/LineGraph"]);
			require(["gc/dijit/ScalarLineGraph"]);
			require(["gc/dijit/Dial"]);
			require(["gc/dijit/HorizontalSlider"]);
			require(["gc/dijit/HorizontalRule"]);
			require(["gc/dijit/HorizontalRuleLabels"]);
			require(["gc/dijit/VerticalSlider"]);
			require(["gc/dijit/VerticalRule"]);
			require(["gc/dijit/VerticalRuleLabels"]);
			require(["gc/dijit/ValueButton"]);
			require(["gc/dijit/Select"]);
		</script>
		
		<script type="text/javascript">
			
			
			var $ConversionHelpers = 
			{
				divideBy10ForVDCBus: function (oldValue)
				{
					return oldValue / 100;
				},
				
				scaleValueDown: function (oldValue)
				{
					return oldValue / 1000000;
				},
				convertFromQ24: function (oldValue)
				{
					return Math.round(oldValue*(Math.pow(2,24))); 
				},
				
				convertToQ24: function (oldValue)
				{
					return oldValue/(Math.pow(2,24));
				},

				convertFromFluxThreshold: function (oldValue)
				{
					return Math.round((oldValue*60774608)/3.62); 
				},
				convertToFluxThreshold: function (oldValue)
				{
					return ((oldValue*3.62)/60774608);
				}


			}
		</script>
	</head>

	<body class="claro" dvFlowLayout="false" data-davinci-ws="collapse" id="myapp">
					


		<input id="enable_motor_checkbox" type="checkbox" data-dojo-type="gc.dijit.CheckBox" style="z-index: 9999; position: absolute; left: 115px; top: 569px;"></input>
		<input id="enable_TPS_checkbox" type="checkbox" data-dojo-type="gc.dijit.CheckBox" style="z-index: 9999; position: absolute; left: 33px; top: 569px;"></input>
		<select id="control_mode_combobox" data-dojo-type="gc.dijit.Select" style="z-index: 9999; position: absolute; left: 170px; top: 564px; width: 93px;">
			<option value="0" selected="selected">Duty Cycle</option>
			<option value="1"                    >Current</option>
			<option value="2"                    >Velocity</option>
			<option value="3"                    >Cascade</option>
		</select>

		<img id="reset_fault_status_image" data-dojo-type="gc.dijit.Image" data-dojo-props="images:['images/Green_icon.PNG','images/Red_icon.PNG','images/Yellow_icon.PNG'], displayStatus:'HideWidget'" style="z-index: 9999; position: absolute; left: 303px; top: 561px;"/> 

		<button id="reset_fault_status_button" style="z-index: 9999; position: absolute; left: 366px; top: 560px;" data-dojo-type="gc.dijit.ValueButton" data-dojo-props="label:'Reset Fault', value: 1"></button>		

		
		<canvas id="dc_bus_meter" data-dojo-type="gc.dijit.DigitalMeter" style="z-index: 9999; position: absolute; left: 522px; top: 548px;" data-dojo-props="titleString: 'DC Bus', minValue: 0,maxValue: 63, width : 171, height : 31,maxNoOfMajorTicks: 7,maxNoOfMinorTicks:1,"></canvas>
		
		<textarea type="text" id="dc_bus_voltage_number" data-dojo-type="gc.dijit.TextBox" style="height: 20px; z-index: 9999; position: absolute; left: 600px; top: 578px; width: 37px; background-color:transparent; border-width:0px;"></textarea> 
		
		<img id="dc_bus_status_image" data-dojo-type="gc.dijit.Image" data-dojo-props="images:['images/Green_icon.PNG','images/Red_icon.PNG','images/Yellow_icon.PNG'], displayStatus:'HideWidget'" style="z-index: 9999; position: absolute; left: 708px; top: 555px;"/>
		<img id="over_temp_status_image" data-dojo-type="gc.dijit.Image" data-dojo-props="images:['images/Green_icon.PNG','images/Red_icon.PNG','images/Yellow_icon.PNG'], displayStatus:'HideWidget'" style="z-index: 9999; position: absolute; left: 859px; top: 555px;"/>

	</body>
</html>
